# Method: projects.undelete

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/undelete#try-it)

Restores the Project identified by the specified `projectId` (for example, `my-project-123`). You can only use this method for a Project that has a lifecycle state of `https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects#LifecycleState.ENUM_VALUES.DELETE_REQUESTED`. After deletion starts, the Project cannot be restored.

The caller must have undelete permissions for this Project.

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v1/projects/{projectId}:undelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The project ID (for example, `foo-bar-123`). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `projectId`: - `resourcemanager.projects.undelete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudplatformprojects`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).